// 登录接口
import {
	axios
} from '../utils/http.js'

const companyManagement = {
	UserList: '/User/List',//
	UserUp: '/User/Up',//
	UserAdd: '/User/Add',//
	UserDel: '/User/Del',//
	UserPowerAll: '/UserPower/List_All',//
	
	TaskList: '/Task/List',//
	TaskUp: '/Task/Up',
	TaskLogsList: '/TaskLogs/List',
	TempList: '/VerifyTemplate/List',
	TaskAdd: '/Task/Add',
	AdminList_All: '/Admin/List_All',
	TaskDel: '/Task/Del',
	tempClassList:'/VerifyTemplate/Class_List',
	TaskGet: '/Task/Get',
	TaskEx: '/TaskData/List',
	DowloadExc: '/TaskData/Export_Data_Excel',
	
	
}
export function tempClassList(data) {
	return axios({
		url: companyManagement.tempClassList,
		method: 'post',
		data:data
	})
}
export function DowloadExc(data) {
	return axios({
		url: companyManagement.DowloadExc,
		method: 'post',
		data:data
	})
}
export function TaskEx(data) {
	return axios({
		url: companyManagement.TaskEx,
		method: 'post',
		data:data
	})
}
export function TaskGet(data) {
	return axios({
		url: companyManagement.TaskGet,
		method: 'post',
		data:data
	})
}

export function TaskDel(data) {
	return axios({
		url: companyManagement.TaskDel,
		method: 'post',
		data:data
	})
}

export function TaskAdd(data) {
	return axios({
		url: companyManagement.TaskAdd,
		method: 'post',
		data:data
	})
}

export function AdminList_All(data) {
	return axios({
		url: companyManagement.AdminList_All,
		method: 'post',
		data:data
	})
}
export function TempList(data) {
	return axios({
		url: companyManagement.TempList,
		method: 'post',
		data:data
	})
}

export function TaskLogsList(data) {
	return axios({
		url: companyManagement.TaskLogsList,
		method: 'post',
		data:data
	})
}
export function TaskUp(data) {
	return axios({
		url: companyManagement.TaskUp,
		method: 'post',
		data:data
	})
}
export function TaskList(data) {
	return axios({
		url: companyManagement.TaskList,
		method: 'post',
		data:data
	})
}
export function UserDel(data){
	return axios({
		url: companyManagement.UserDel,
		method: 'post',
		data:data
	})
}
//所有权限
export function UserAdd(data) {
	return axios({
		url: companyManagement.UserAdd,
		method: 'post',
		data:data
	})
}
//所有权限
export function UserPowerAll(data) {
	return axios({
		url: companyManagement.UserPowerAll,
		method: 'post',
		data:data
	})
}
//用户登录
export function UserUp(data) {
	return axios({
		url: companyManagement.UserUp,
		method: 'post',
		data:data
	})
}
//用户登录
export function UserList(data) {
	return axios({
		url: companyManagement.UserList,
		method: 'post',
		data:data
	})
}